
/*-- test Parent Program --*/
libname intgraph 'directory_where_AF_application_will_be_stored';
filename grph_prg 'directory_where_test_menu_execution_program_will_be_stored';

/*-----define data set to produce graph                         ------*/
/*-- variable POINT identifies the point on the graph and           --*/
/*-- will be used later to define PNT_ID and DESC_ST                --*/
/*-- x and y are used to produce the plot y*x and define XVAL, YVAL --*/                      

data intgraph.test;
input  x y point;
cards;
0  0  1
1  8  2
8  1  3
10 10 4
;
run;

/*-----produce graph            -----------------------*/
/*-----this graph will be 'interactively annotated' ---*/ 
GOPTIONS
        device=win
        rotate=landscape
        vorigin=0 in
        horigin=0 in
        vsize=0 in
        hsize=0 in
        gunit=pct
        ;
AXIS1   length= 70 pct
        label= none
        minor=none
        origin=(20 pct, 20 pct) offset=(0,0) order=0 to 10;
AXIS2   length= 70 pct
        label= none
        value=(f=swiss h=2)
        minor=none offset=(0,0) order= 0 to 10;
        
proc gplot data= intgraph.test gout=intgraph.testgseg;
plot y * x/
        HAXIS=AXIS1
        VAXIS=AXIS2;
run;

/*---------define G_LIST data set--------------------*/
data g_list;
gout_nm='INTGRAPH.TESTGSEG.GPLOT'; ** specify where the plot is located **;
ianno='INTGRAPH.ANNOTEST';      ** specify location of IANNO dataset for the plot**;
g_label='TEST GRAPH';           ** specify title bar**;
run;

/*-----define test IANNO data set------------*/
data twopoint;   
/*these two points mark bottom left and top right, needed to do aligmnent*/
        xval = 0; yval = 0; output;
        xval = 100; yval = 100; output;
run;

data intgraph.annotest;
set twopoint intgraph.test (in=ds2);
if ds2  then do;
        xval = 20+ 70* x/10;        ** specify location of interactive points **;
        yval = 20 + 70* y/10;       ** as percent of the output area          **;
                                    ** see LENGTH, ORIGIN in def of AXIS1,AXIS2**; 
        desc_st = 'POINT NO: '||put(POINT,1.); ** description to be desplayed  **;
                                               **in message line if this point **;
                                               ** is selected                  **; 
        exe1 = 'GRPH_PRG(EXE1)';  ** location of SAS program to be executed if **;
                                  ** first item selected on the menu           **;
        name_e1 = 'SHOW GRAPH';   ** text displayed on first menu item         **; 
        exe2 = 'GRPH_PRG(EXE1)';  ** location of SAS program to be executed if **;
                                  ** second item selected on the menu          **;
        name_e2 = 'SHOW LISTING'; ** text displayed on second menu item        **;
        pnt_id = 'if point='||PUT(POINT,1.);  ** info passed to SAS pgm (MEP)  **;
end;
marker =1;                                  
run;

/*--setup a file used as input in the Menu Execution Program         -------*/
/*-- the variables x2 and y2 are additional information (to be listed            --*/
/*-- or plotted by Menu execution program) for the user selected values of'POINT' --*/
 
data intgraph.details;  
input point x2 y2;
cards;
1  -1 4
1  0 1
1  1 3
1  2 4
2  -1 4
2  0 2
2  1 3
2  2 4
3  -1 4
3  0 3
3  1 3
3  2 4
4 -1 4
4  0 4
4  1 3
4  2 4
;
run;

/*------ to build the application run  this-----*/
* proc build c=intgraph.afgraph; run;

/*------ to test the application run this-------*/
*  dm 'af c=intgraph.afgraph.igraph.frame' continue;


